INTERFACE
SUBROUTINE PRE_CALC (PVIEANG, PSOLANG,&
 & PRP, PGP, PRM_AUX, PGB, PRMU, PGA, PPL, PPSL_AUX) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE RT6SVALUES
REAL(KIND=JPRB),INTENT(IN) :: PSOLANG(KLON), PVIEANG(KLON)
REAL(KIND=JPRB),INTENT(OUT) :: PRP(KNP), PGP(KNP)
REAL(KIND=JPRB),INTENT(OUT) :: PRMU(KNBMU), PGA(KNBMU)
REAL(KIND=JPRB),INTENT(OUT) :: PRM_AUX(KLON,-KMU:KMU),PGB(-KMU:KMU)
REAL(KIND=JPRB),INTENT(OUT) :: PPL(KNBMU,-1:KNANG+1)
REAL(KIND=JPRB),INTENT(OUT) :: PPSL_AUX(KLON,0:KNANG,-1:KNANG,-KMU:KMU)
END SUBROUTINE PRE_CALC
END INTERFACE
